<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">

    <ui:decorate template="_footer_template.xhtml">
        <ui:define name="footer_list_items">
            <li>
                <a id="footerMenuAboutLink" data-toggle="modal" data-target="#aboutModal">#{messages['net.ihe.gazelle.assets.About']}</a>
            </li>
            <li>
                <a id="footerMenuContactUsLink" data-toggle="modal" data-target="#contactModal">#{messages['net.ihe.gazelle.assets.contactUs']}</a>
            </li>
            <li>
                <a id="issueTrackerCommandLinkId" data-toggle="modal" data-target="#issueModal">#{messages['net.ihe.gazelle.assets.IssueTracker']}</a>
            </li>
            <h:panelGroup rendered="#{displayApiLink == null ? false : displayApiLink}">
                <li>
                    <a href="#{request.contextPath}/apidocs">#{messages['net.ihe.gazelle.Api']}</a>
                </li>
            </h:panelGroup>
            <li>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.assets.Copyright']} #{buildYear} #{messages['net.ihe.gazelle.assets.IHEInternational']}"/>
            </li>
        </ui:define>
        <ui:define name="footer_lang_switch">
            <h:form id="locale" action="#{localeSelector.select}">
                <!--<s:token id="localeToken" allowMultiplePosts="true"/>-->
                <h:selectOneMenu styleClass="form-control gzl-form-control input-sm"
                                 value="#{localeSelector.localeString}"
                                 onchange="this.form.submit();">
                    <f:selectItems value="#{localeSelector.supportedLocales}"/>
                </h:selectOneMenu>
            </h:form>
        </ui:define>
    </ui:decorate>

    <div class="modal fade" id="aboutModal" tabindex="-1" role="dialog" aria-labelledby="aboutModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&#215;</span></button>
                    <h4 class="modal-title" id="aboutModalLabel">
                        <span class="gzl-icon-info-circle"/>#{messages['net.ihe.gazelle.assets.About']}
                        #{applicationName}
                    </h4>
                </div>
                <div class="modal-body bg-primary">
                    <h4>#{messages['net.ihe.gazelle.assets.IHEIntegratingTheHeathcareEnterprise']}</h4>

                    <h5>
                        <em>#{messages['net.ihe.gazelle.assets.ChangingTheWayHealthcareConnects']}...</em>
                    </h5>
                    <a href="http://www.ihe.net" target="_blank">#{messages['net.ihe.gazelle.assets.Wwwihenet']}</a>
                </div>
                <div class="modal-body">
                    <p>
                        <h:outputText value="#{messages['net.ihe.gazelle.assets.Version']} #{version}"/>
                    </p>
                    <p>
                        <h:outputText value="#{messages['net.ihe.gazelle.assets.BuildProfile']} #{buildProfiles}"/>
                    </p>
                    <p>#{messages['net.ihe.gazelle.assets.releaseDate']} : #{buildDate}</p>

                    <p>
                        <a href="#{releaseNoteUrl}" target="_blank">
                            <span class="gzl-icon-file-text-o"/>#{messages['net.ihe.gazelle.assets.releaseNotes']}</a>
                    </p>

                    <p>
                        <a href="#{documentationUrl}" target="_blank">
                            <span class="gzl-icon-question-circle"/>#{messages['net.ihe.gazelle.assets.Documentation']}</a>
                    </p>

                    <p>
                        #{messages['net.ihe.gazelle.assets.developedBy']} :
                        <a href="http://www.inria.fr/" target="_blank">#{messages['net.ihe.gazelle.assets.INRIA']}</a>
                        (#{messages['net.ihe.gazelle.assets.RennesFranceAnd']}
                        <a href="http://www.kereval.com/" target="_blank">#{messages['net.ihe.gazelle.KEREVAL']}</a> #{messages['net.ihe.gazelle.And']}
                        <a href="http://erl.wustl.edu/" target="_blank">#{messages['net.ihe.gazelle.assets.MIR']}</a>
                        (#{messages['net.ihe.gazelle.assets.SaintLouisUSA']})
                    </p>
                </div>
                <div class="modal-footer">
                    <em>#{messages['net.ihe.gazelle.assets.thanks']}</em>
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['net.ihe.gazelle.assets.Close']}
                    </button>
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade" id="contactModal" tabindex="-1" role="dialog" aria-labelledby="contactModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                            aria-hidden="true">&#215;</span></button>
                    <h4 class="modal-title" id="contactModalLabel">
                        <span class="gzl-icon-comment-o"/>
                        <h:outputText value="#{messages['net.ihe.gazelle.assets.contactUs']}..."/>
                    </h4>
                </div>
                <div class="modal-body bg-primary">
                    <h4>#{messages['net.ihe.gazelle.assets.IHEIntegratingTheHeathcareEnterprise']}</h4>
                    <h5>
                        <em>#{messages['net.ihe.gazelle.assets.ChangingTheWayHealthcareConnects']}...</em>
                    </h5>
                    <a href="http://www.ihe.net" target="_blank">#{messages['net.ihe.gazelle.assets.Wwwihenet']}</a>
                </div>
                <div class="modal-body">
                    <p>
                        #{messages['net.ihe.gazelle.assets.PleaseEmailQuestionsTo']} :
                        #{appAdminTitle} (
                        <a href="mailto:#{appAdminEmail}">#{appAdminName}</a>
                        ), #{messages['net.ihe.gazelle.assets.AndHeWillGuideYouThroughTheProcess']}.
                    </p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="gzl-btn" data-dismiss="modal">
                        #{messages['net.ihe.gazelle.assets.Close']}
                    </button>
                </div>
            </div>
        </div>
    </div>

    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="issueModal"/>
        <ui:define name="popup_title"><span class="gzl-icon-bug"/>
            #{messages['net.ihe.gazelle.assets.IssueTracker']}...
        </ui:define>

        <p/> #{messages['net.ihe.gazelle.assets.IssueTrackerInfo1']}<p/>

        <p>#{messages['net.ihe.gazelle.assets.IssueTrackerInfo2']}</p>

        <p> #{messages['net.ihe.gazelle.assets.IssueTrackerClickOnThatLink']}</p>

        <a href="#{issueTrackerUrl}">#{issueTrackerUrl}</a>
        <ui:define name="popup_footer">
            <button type="button" class="gzl-btn" data-dismiss="modal">
                #{messages['net.ihe.gazelle.assets.Close']}
            </button>
        </ui:define>
    </ui:decorate>
</ui:composition>
